Subject: Re: [PATCH 1/4 v4] powerpc: document phy-connection-type property

From: Segher Boessenkool <[email-masked]>
Date: Mon, 14 May 2007 14:44:17 +0200

> Since I'm poking around on 52xx I had a query - firstly it doesn't
> look like the 52xx fec driver uses phylib at all since it also tries
> to support the 7-wire ethernet interface, which isn't ?? supported
> by phylib.
>
> Stumbling across this property I wondered, if the driver can check
> the device tree for the phy type to set it up properly in this
> manner, would it also be relevant to list the 7-wire style of
> connection, so that drivers can provide the alternative code?

Is that 7-wire thing just another kind of connection
to a PHY?  If so, treat it as such (add phylib support
perhaps); if not, have an empty property in your 5200
ethernet node that says the 7-wire thing is in use.

Segher